=begin pod

=TITLE class X::Parameter::Twigil

=SUBTITLE Compilation error due to an unallowed twigil in a signature

    class X::Parameter::Twigil does X::Comp

Thrown when a parameter in a signature has a twigil that it may not have.
Only C<!>, C<.> and C<*> as twigils are allowed.

Example:

    sub f($=foo) { }

produces

    ===SORRY!===
    In signature parameter $=foo, it is illegal to use the = twigil

=head1 Methods

=head2 method parameter

The name of the offensive parameter (C<$=foo> in the example above)

=head2 method twigil

The illegally used twigil.

=end pod
